package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 订单评价对象 order_comment
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public class OrderComment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long oid;


    /** 订单号 */
    @Excel(name = "订单号")
    private String orderId;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long productId;

    /** 用户 */
    @Excel(name = "用户")
    private Long uid;

    /** 订单ID */
    @Excel(name = "用户姓名")
    private String uname;

    /** 图片 */
    @Excel(name = "图片")
    private String images;

    /** 评价内容 */
    @Excel(name = "评价内容")
    private String content;

    /** 评分 */
    @Excel(name = "评分")
    private Long num;

    /** 1：好评 2：中评 3：差评 */
    @Excel(name = "1：好评 2：中评 3：差评")
    private Long numType;

    /** 1：打开  0：隐藏 */
    @Excel(name = "1：打开  0：隐藏")
    private Integer status;

    /** 师傅ID */
    @Excel(name = "师傅ID")
    private Long workerId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date createdAt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date updatedAt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setOid(Long oid) 
    {
        this.oid = oid;
    }

    public Long getOid() 
    {
        return oid;
    }

    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }

    public void setProductId(Long productId) 
    {
        this.productId = productId;
    }

    public Long getProductId() 
    {
        return productId;
    }

    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }

    public void setImages(String images) 
    {
        this.images = images;
    }

    public String getImages() 
    {
        return images;
    }

    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }

    public void setNum(Long num) 
    {
        this.num = num;
    }

    public Long getNum() 
    {
        return num;
    }

    public void setNumType(Long numType) 
    {
        this.numType = numType;
    }

    public Long getNumType() 
    {
        return numType;
    }

    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    public void setWorkerId(Long workerId) 
    {
        this.workerId = workerId;
    }

    public Long getWorkerId() 
    {
        return workerId;
    }

    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }

    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }


    public String getUname() {
        return uname;
    }

    public void setUname(String uname) {
        this.uname = uname;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("oid", getOid())
            .append("orderId", getOrderId())
            .append("productId", getProductId())
            .append("uid", getUid())
            .append("images", getImages())
            .append("content", getContent())
            .append("num", getNum())
            .append("numType", getNumType())
            .append("status", getStatus())
            .append("workerId", getWorkerId())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .toString();
    }
}
